humanfriendly(1)

NAME
humanfriendly - human friendly input/output formatter

SYNOPSIS
humanfriendly [options]

DESCRIPTION
humanfriendly is a program that performs human friendly input/output (text formatting) on the command line.

OPTIONS
This program follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Show this message and exit.

-c COMMAND, --run-command COMMAND
    Execute an external COMMAND (given as the positional arguments) and render a spinner and timer while the command is running. The exit status of the command is propagated.

--format-table
    Read tabular data from standard input (each line is a row and each whitespace separated field is a column), format the data as a table and print the resulting table to standard output. See also the --delimiter option.

-d VALUE, --delimiter=VALUE
    Change the delimiter used by --format-table to VALUE (a string). By default all whitespace is treated as a delimiter.

-l LENGTH, --format-length=LENGTH
    Convert a length count (given as the integer or float LENGTH) into a human readable string and print that string to standard output.

-n VALUE, --format-number=VALUE
    Format a number (given as the integer or floating point number VALUE) with thousands separators and two decimal places (if needed) and print the formatted number to standard output.

-s BYTES, --format-size=BYTES
    Convert a byte count (given as the integer BYTES) into a human readable string and print that string to standard output.

-t SECONDS, --format-timespan=SECONDS
    Convert a number of seconds (given as the floating point number SECONDS) into a human readable timespan and print that string to standard output.

--parse-size=VALUE
    Parse a human readable data size (given as the string VALUE) and print the number of bytes to standard output.

--parse-length=VALUE
    Parse a human readable data length (given as the string VALUE) and print the number of bytes to standard output.